/* Project */
.Project {
	width: 100%;
	/* to fix the flex box collapsing because of the parent center its
		 children */
	min-height: 0;
}
.Project-header {
	padding-bottom: 100vh;
}

/* project metas */
.Project-meta {
	display: flex;
	justify-content: flex-end;
	padding-bottom: 0.5rem;
	padding-right: 0.5rem;
}
.Project-datePublished,
.Project-language {
	padding: 0.2rem 0.8rem;
	margin-left: 0.3rem;
}

/* project title group */
.Project-titleInfo {
	display: flex;
	flex-wrap: wrap;
	flex-direction: column;
	align-items: center;
	padding-bottom: calc(var(--size) / 2);
}

/* project main title */
.Project-title {
	font-size: 2.7rem;
	margin-bottom: 0;
	transition: opacity 300ms ease-in-out, transform 500ms ease-in-out;
	opacity: 1;
}

.Project-title a {
	padding: calc(var(--size) / 4);
	text-decoration: none;
	font-size: var(--size-font-1);
	background-color: var(--color-background);
}

/* project series */
.Project-series {
	text-decoration: none;
	font-size: var(--size-font-3);
	transition: opacity 800ms ease-in-out, transform 400ms ease-in-out;
}

.Project-series span {
	padding: calc(var(--size) / 4);
	background-color: var(--color-background);
}
.Project-series span:after {
	content: ':';
}

/* project featured image */
.Project-featuredImage {
	background-position: center center;
	background-size: cover;
	background-attachment: scroll;
	width: 100%;
	transition: opacity 800ms ease-in-out, filter 700ms ease-in;
	opacity: 1;
}


/* project main content container */
.Project-main {
	padding-top: var(--size);
	background-color: var(--color-background);
	display: flex;
	flex-direction: column;
	align-items: center;
	margin-bottom: var(--size);
}

/* project content (project main markdown body) */
.Project-content {
	display: flex;
	flex-direction: column;
	align-items: center;
	flex-grow: 1;
	width: 100%;
}

/* project links */
.Project-content a {
}

.Project-content h1,
.Project-content h2,
.Project-content h3,
.Project-content h4,
.Project-content h5,
.Project-content p,
.Project-content figcaption,
.Project-content ol,
.Project-content ul,
.Project-content iframe {
	padding-left: var(--size);
	padding-right: var(--size);
}

/* project titles */
.Project-content h1,
.Project-content h2,
.Project-content h3,
.Project-content h4,
.Project-content h5 {
	display: flex;
	max-width: calc(var(--size-container-text) * 1);
	width: 100%;
	margin-bottom: calc(var(--size) * 1.2);
	margin-top: calc(var(--size) * 1.3);
}
.Project-content h1 {
	font-size: var(--size-font-0);
}
.Project-content h2 {
	font-size: var(--size-font-1);
}
.Project-content h3 {
	font-size: var(--size-font-2);
}
.Project-content h1 a,
.Project-content h2 a,
.Project-content h3 a,
.Project-content h4 a,
.Project-content h5 a {
	border-color: transparent;
	text-decoration: none;
}

/* project paragraph and lists */
.Project-content p,
.Project-content ol,
.Project-content ul {
	max-width: var(--size-container-text);
	width: 100%;
}

/* project blockquotes */
.Project-content blockquote {
	padding: calc(var(--size) / 2) var(--size);
	max-width: var(--size-container-text);
}

figure + blockquote {
	margin-top: 0;
}
.Project-content blockquote p {
	display: inline;
}
.Project-content blockquote {
	quotes: '“' '”' '‘' '’' '“' '”' '‘' '’' '“' '”';
	position: relative;
}
.Project-content blockquote::before {
	content: open-quote;
}
.Project-content blockquote::after {
	content: close-quote;
}


.Project-content blockquote p {
	padding: 0;
	margin: 0;
	font-style: italic;
	font-size: var(--size-font-4);
}

/* project media */
.Project-content iframe {
	padding: var(--size);
	margin-bottom: var(--size);
	margin-top: calc(var(--size) / 2);
	max-width: calc(var(--size-container-text) * 1.1);
	width: 100%;
	min-height: 40vh;
}
.Project-image {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	margin: calc(var(--size) * 1.4) 0;
}
.Project-image img {
	max-height: var(--img-max-height);
	margin-bottom: var(--size);
	margin-top: var(--size);
}

.Project-image figcaption {
	max-width: calc(var(--size-container) / 0.9);
	text-align: right;
	font-style: italic;
}

/* project footer */
.Project-footer {
	padding: calc(var(--size) * 2) 0;
	display: flex;
	flex-direction: column;
	align-items: center;
}
.Project-footerTitle {
	justify-self: flex-start;
	font-size: var(--size-font-2);
}

/* project links */
.Project-links {
	max-width: var(--size-container);
	width: 100%;
	list-style-position: inside;
}
.Project-links:before {
	content: '~';
	font-size: var(--size-font-3);
	margin-left: -0.3rem;
}
.Project-links:after {
	content: '~';
	font-size: var(--size-font-3);
	margin-left: -0.3rem;
}
